# flake8: noqa
# pylint: skip-file
config.load_autoconfig()
c.url.searchengines = {
    "DEFAULT": "https://duckduckgo.com/?q={}",
    "a": "https://www.amazon.com/s?k={}",
    "b": "https://www.beeradvocate.com/search/?q={}&qt=beer",
    "c": "https://camelcamelcamel.com/{}",
    "g": "https://www.google.com/search?q={}",
    "j": "https://15five-dev.atlassian.net/plugins/servlet/mobile#issue/ENG-{}",
    "k": "https://b-ok.cc/s/?q={}",
    "m": "https://www.openstreetmap.com/search?query={}",
    "p": "https://thepiratebay.zone/search/{}",
    "w": "https://www.wikiwand.com/en/{}?fullSearch=false",
    "z": "https://zoom.us/wc/{}/join",
}

c.messages.timeout = 5000

config.set("scrolling.smooth", True)
config.set("url.default_page", "https://vrobbler.lab.unbl.ink/status/")
config.set("url.start_pages", "https://vrobbler.lab.unbl.ink/status/")
config.set("fonts.hints", "bold 14pt monospace")
config.set("fonts.statusbar", "12pt monospace")
config.set("fonts.completion.entry", "10pt monospace")
config.set("zoom.default", "100%")
config.set("downloads.location.directory", "~/tmp")
config.set("downloads.location.prompt", False)
config.set("tabs.show", "multiple")
config.bind("wo", "set-cmd-text -s :open -w")
config.bind("wd", "close")
config.bind(
    ",n",
    'config-cycle content.user_stylesheets ~/.config/qutebrowser/darculized-all-sites.css ""',
)
config.bind(",p", "config-cycle content.proxy none socks://tor.local:9050/")

c.aliases["cs"] = "config-source"
